package space.nstart.pcp.pcp_types_lib.dto.satellite.mission

import java.time.LocalDate

data class MissionStatisticsDTO(
    val modesCount: Int = 0,
    val totalContourArea: Double = 0.0,
    val revolutionDurations: List<RevolutionDurationDTO> = emptyList(),
    val dailyDurations: List<DailyDurationDTO> = emptyList()
)

data class RevolutionDurationDTO(
    val revolution: Long = 0,
    val totalDuration: Double = 0.0
)

data class DailyDurationDTO(
    val date: LocalDate = LocalDate.MIN,
    val totalDuration: Double = 0.0
)
